Beefy Boxes and Bandwidth Generously Provided by pair Networks
Think about Loose Coupling
 
PerlMonks  

Installing Catalyst::Runtime on Windows

by roho (Chancellor)
on Mar 12, 2010 at 22:05 UTC ( #828364=perlquestion: print w/replies, xml ) Need Help??

roho has asked for the wisdom of the Perl Monks concerning the following question:

I'm having trouble installing Catalyst::Runtime on Windows (Vista) using ppm with Activestate perl 5.8.9 (build 826). I get the following error message from ppm:

C:\>ppm install Catalyst-Runtime Downloading ActiveState Package Repository packlist...not modified ppm install failed: Can't find any package that provides namespace::cl +ean version 0.13 for Catalyst-Runtime

I verified that namespace::clean version 0.13 is installed. Not sure what this message means and what it's looking for. Has anyone run into this in the past? TIA

"Its not how hard you work, its how much you get done."

Replies are listed 'Best First'.
Re: Installing Catalyst::Runtime on Windows
by ikegami (Pope) on Mar 12, 2010 at 22:15 UTC

    I verified that namespace::clean version 0.13 is installed.

    How? cause ppm seems to think it's not, which probably means Perl thinks it's not. What does the following output?

    perl -e"use namespace::clean 99"

      Here's what I get, which is what I expected:

      C:\>perl -e"use namespace::clean 99" namespace::clean version 99 required--this is only version 0.13 at -e +line 1. BEGIN failed--compilation aborted at -e line 1.

      "Its not how hard you work, its how much you get done."

        That's weird.

        I can't install namespace::clean (t/07-debugger.t fails), but it seems you managed to install a number of modules not available via the usual ppm (as far as I know). Why can't you use the same method to install Catalyst-Runtime?

Re: Installing Catalyst::Runtime on Windows
by Khen1950fx (Canon) on Mar 13, 2010 at 05:04 UTC
    I googled it, and it seems that a lot of people have a similar problem. Here's an article that suggests installing Catalyst::Runtime via the ppm GUI.
      Thanks for the link. I was able to use ppm in GUI mode to install Catalyst::Runtime as well as Catalyst::Devel. It is very strange why ppm in command line mode refused to install them.

      "Its not how hard you work, its how much you get done."

        https://brunorc.wordpress.com/2009/07/19/catalyst-is-easy-installation-on-windows/
        This link shows an alternate way to solve the windows installation failed issue.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://828364]
Approved by Hue-Bond
Front-paged by ww
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others surveying the Monastery: (4)
As of 2020-02-17 06:06 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    What numbers are you going to focus on primarily in 2020?










    Results (70 votes). Check out past polls.

    Notices?